Documentation Index
Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
Use this file to discover all available pages before exploring further.
Link errors: common causes and troubleshooting.
Overview
When a user encounters an error in Link, they are shown an error screen that displays suggestions for resolving the particular issue. For easier troubleshooting, we recommend you include the onError callback in your Link initialization.
The onError callback returns:
LinkError (
"userId": String, // ID of the user
"errorType": String (enum), // Error name
"errorMessage": String, // User message
"errorDetails": String // Error details
)
Link errors
callback_undefined
User message
Error details
Common causes
Troubleshooting
This page does not exist. Reach out to [Company name] for help.
Reason: callback undefined (onCantFindItemClicked)
The Callback experience type was selected for “If no results” when customizing a Link Flow, but the onCantFindItemClicked callback was not included in the Link initialization. Include the onCantFindItemClicked callback in your Link initialization.
duplicate_account
User message
Error details
Common causes
Troubleshooting
This User ID is already associated with a connected account. Please try a different User ID to connect another account.
none
The user attempted to connect an already-connected account.
Advise the user to double-check which log in credentials they currently or originally used for the intended employer.
expired_user_token
User message
Error details
Common causes
Troubleshooting
The service is experiencing connection problems. Please try again later.
User ID: <ID of the user> (see user ID)Reason: expired userToken Link was initialized with an expired user token, or the user token expired during the Link session.
Create a new user token, and either:
- Re-initialize Link with the new user token.
- Pass the new user token to the
onTokenExpired callback to continue the existing Link session.
generic
User message
Error details
Common causes
Troubleshooting
The service is experiencing connection problems. Please try again later.
none
An unexpected error occurred. We are looking into it.
Contact our support team for more details.
invalid_account_id
User message
Error details
Common causes
Troubleshooting
The page does not exist. Reach out the [Company] for help.
Reason: invalid accountId
An invalid accountId was used for direct login to an existing account when initializing Link. Use the accounts API endpoint with the user’s id as a query parameter to see a list of valid accountId’s for the user.
invalid_items
User message
Error details
Common causes
Troubleshooting
This page does not exist. Reach out to [Company name] for help.
Reason: invalid custom items
- Direct login was used for an Item that does not exist.
- Link search was constrained to Items that do not exist.
- Link was initialized with the optional
items initialization parameter but an empty array was present.
Use the Items endpoint and Console’s Coverage page to check Item availability.
invalid_user_token
User message
Error details
Common causes
Troubleshooting
The service is experiencing connection problems. Please try again later.
Reason: invalid userToken
The user token provided in the Link initialization was not valid. Check the user token was provided correctly in the Link initialization. See our user tokens guide for more information.